Get Ai Environment Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/ai-environment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-environment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-environment \
--header 'Authorization: Bearer <token>'{
"dns_root_domain": "<string>",
"dns_root_domain_default": "<string>",
"staging_cluster_id": "<string>",
"staging_cluster_name": "<string>",
"staging_cluster_online": true,
"workspace_ttl_hours": 123,
"demo_ttl_hours": 123,
"default_gateway_mode": "<string>",
"demo_ttl_role_caps": {},
"demo_base_domain": "<string>",
"demo_ingress_class_name": "<string>",
"demo_tls_secret_name": "<string>",
"demo_cert_issuer_name": "<string>",
"demo_preview_tls_warning": "<string>",
"demo_preview_dns_warning": "<string>",
"home_slack_channel_id": "<string>",
"home_slack_channel_name": "<string>",
"home_slack_team_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Environment
Get Ai Environment Api Endpoint
Read the organisation’s AI environment settings, including dns_root_domain - the organisation’s own Ankra root domain that every generated hostname nests under - and dns_root_domain_default, the platform default that applies when no custom domain is registered.
GET
/
api
/
v1
/
org
/
ai-environment
Get Ai Environment Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/ai-environment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-environment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-environment \
--header 'Authorization: Bearer <token>'{
"dns_root_domain": "<string>",
"dns_root_domain_default": "<string>",
"staging_cluster_id": "<string>",
"staging_cluster_name": "<string>",
"staging_cluster_online": true,
"workspace_ttl_hours": 123,
"demo_ttl_hours": 123,
"default_gateway_mode": "<string>",
"demo_ttl_role_caps": {},
"demo_base_domain": "<string>",
"demo_ingress_class_name": "<string>",
"demo_tls_secret_name": "<string>",
"demo_cert_issuer_name": "<string>",
"demo_preview_tls_warning": "<string>",
"demo_preview_dns_warning": "<string>",
"home_slack_channel_id": "<string>",
"home_slack_channel_name": "<string>",
"home_slack_team_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes